Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1091714 - [Network labels] Network label rename should be blocked while label is configured on hosts
Summary: [Network labels] Network label rename should be blocked while label is config...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Moti Asayag
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-27 14:02 UTC by GenadiC
Modified: 2016-02-10 19:47 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:08:57 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27479 master MERGED engine: Block changing a used label Never
oVirt gerrit 27571 ovirt-engine-3.4 MERGED engine: Block changing a used label Never

Description GenadiC 2014-04-27 14:02:43 UTC
Description of problem:
If after attaching network to Host NIC with Network label feature, you change the Network label on the Network to non-existent label, the network doesn't get removed from the Host NIC and it should

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create label lb_1 on Host NIC
2. Create label lb_1 on new network
3. Check the network is attached to the Host NIC with the same label
4. Change network label on the network to lb_2 (new label)

Actual results:
Network is still attached to the Host NIC

Expected results:
Network should be removed from Host NIC as there is no label lb_2 on Host NIC

Additional info:

Comment 1 Moti Asayag 2014-04-27 14:22:50 UTC
This action should be blocked by UpdateNetworkCommand.canDoAction() and specifically the bug resides in:

UpdateNetworkValidator.notRenamingLabel(String oldLabel):

1. the parameter name should be newLabel
2. the check inside the loop should be changed to:
   if (NetworkUtils.isLabeled(nic) && nic.getLabels().contains(network.getLabel()))

Comment 4 Michael Burman 2014-07-16 13:51:18 UTC
Verified on-  oVirt Engine Version: 3.5.0-0.0.master.20140715172116.git4687dc1.el6 

The action will be blocked with the next error:
"Error while executing action: Cannot edit Network. Renaming a network label while configured on hosts interfaces is not supported. Please unlabel the network first and later specify the new one."

Comment 6 Eyal Edri 2015-02-17 17:08:57 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.